import styled from 'styled-components';
import { getColor } from './IconBase';
export default styled.path.withConfig({
  displayName: "StyledPath",
  componentId: "sc-9oaaxp-0"
})(["", ""], function (p) {
  var _p$cssAttributes, _p$cssAttribute;
  return "".concat(((_p$cssAttributes = p.cssAttributes) !== null && _p$cssAttributes !== void 0 ? _p$cssAttributes : [(_p$cssAttribute = p.cssAttribute) !== null && _p$cssAttribute !== void 0 ? _p$cssAttribute : 'fill']).map(function (cssAtr) {
    return "".concat(cssAtr, ":").concat(getColor(p.theme, p.theme.color.backgroundBlack, p.strokeColorFn));
  }).join(';'));
});